-- song cave collectible

dofile("scripts/include/collectibletemplate.lua")

function init(me)
	commonInit(me, "Collectibles/mithala-doll", FLAG_COLLECTIBLE_MITHALADOLL)
end

function update(me, dt)
	commonUpdate(me, dt)
end

function enterState(me, state)
	commonEnterState(me, state)
	if entity_isState(me, STATE_COLLECTEDINHOUSE) then
		--[[
		createEntity("JellySmall", "", node_x(me)-64, node_y(me))
		createEntity("JellySmall", "", node_x(me)+64, node_y(me))
		createEntity("JellySmall", "", node_x(me), node_y(me)+32)
		]]--
	end	
end

function exitState(me, state)
	commonExitState(me, state)
end
